package csy.asyncdownpicdemo;


import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;

import java.util.List;

public class RemoteAdapter extends BaseAdapter {

    private Context mContext;
    private List<String> urls;
    private LayoutInflater inflater;
    
    public RemoteAdapter(Context context,List<String> urls){
        mContext = context;
        this.urls = urls;
        inflater = (LayoutInflater)context.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }
    
    @Override
    public int getCount() {
        return urls.size();
    }

    @Override
    public Object getItem(int arg0) {
        return urls.get(arg0);
    }

    @Override
    public long getItemId(int arg0) {
        return arg0;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup root) {
        
        final ViewHolder holder;
        
        if(convertView == null){
            convertView = inflater.inflate(R.layout.item_layout, null);
            holder = new ViewHolder();
            holder.imageView = (RemoteImageView1)convertView.findViewById(R.id.remote_image_view);
            convertView.setTag(holder);
        }else{
            holder = (ViewHolder)convertView.getTag();
        }
        
        holder.imageView.setDefaultImage(R.drawable.default_image);
        holder.imageView.setImageUrl(urls.get(position));
        
        return convertView;
    }
    
    class ViewHolder{
        RemoteImageView1 imageView;
    }

}
